<ng-container *ngIf="getPaginatorBoxesCount().length > 1">
  <div *ngFor="let pageNum of getPaginatorBoxesCount()"
       class="paginator-box"
       [ngClass]="{'paginator-box--selected': tableSettingsService.activePage == pageNum}"
       (click)="tableSettingsService.activePage = pageNum">
    {{pageNum}}
  </div>
</ng-container>

<div class="abbreviated-style">
  <i class="material-icons" [class.--disabled]="!canDecreasePageNo()" (click)="canDecreasePageNo() && decreasePageNo()">arrow_back</i>
  <i class="material-icons" [class.--disabled]="!canIncreasePageNo()" (click)="canIncreasePageNo() && increasePageNo()">arrow_forward</i>
</div>
